> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload logo and favicon

> Upload images for settings of the Reseller (Logo and Favicon).
You can upload 2 files separately or simultaneously.



## OpenAPI

````yaml /api-reference/services_documented/iam_reseller_api.yaml post /iam/reselling/settings/upload
openapi: 3.1.0
info:
  title: Gcore OpenAPI – IAM Reseller API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: IAM Reseller Account
    description: >-
      Account management operations including authentication, password
      management, and account details.
    x-displayName: Account
  - name: IAM Reseller Clients
    description: >-
      Clients management API.


      Note: For client's creation use [create a new
      user](#tag/Users/paths/~1users/post) method from Users management API.
    x-displayName: Clients
  - name: IAM Reseller Users
    description: Client's users management API.
    x-displayName: Users
  - name: Sellers
    description: Seller management API.
    x-displayName: Sellers
  - name: Products' availability
    description: >-
      As a reseller you can get access to multiple products that available for
      you. Such as CDN.


      With this API you can manage which products are available for you clients
      by default or manage personal

      products' availability for each client separately.
    x-displayName: Products' availability
  - name: Services
    description: Client services management API for managing service statuses and options.
    x-displayName: Services
  - name: IAM Reseller Features
    description: You can manage both free and paid features available for you.
    x-displayName: Features
  - name: Branding
    description: >-
      Branding settings management API for customizing reseller branding
      including logos, colors, and domain settings.
    x-displayName: Branding
  - name: Notification Settings
    description: Notification settings which not connected with branding
    x-displayName: Notification Settings
  - name: Other
    x-displayName: Other
paths:
  /iam/reselling/settings/upload:
    post:
      tags:
        - Branding
      summary: Upload logo and favicon
      description: |-
        Upload images for settings of the Reseller (Logo and Favicon).
        You can upload 2 files separately or simultaneously.
      operationId: iamUploadBrandingAssets
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/UploadBrandingAssetsRequest'
      responses:
        '200':
          description: OK.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BrandingSettings'
        '404':
          $ref: '#/components/responses/iam_reseller_404'
components:
  schemas:
    UploadBrandingAssetsRequest:
      type: object
      properties:
        logo:
          type: string
          format: binary
        favicon:
          type: string
          format: binary
    BrandingSettings:
      type: object
      required:
        - domain
        - privateSettings
        - publicSettings
        - reseller
        - deleted
      properties:
        domain:
          $ref: '#/components/schemas/EntryBaseDomain'
        publicSettings:
          $ref: '#/components/schemas/PublicBrandingSettings'
        privateSettings:
          $ref: '#/components/schemas/PrivateBrandingSettings'
        reseller:
          type: integer
          description: Reseller's ID.
          readOnly: true
        deleted:
          $ref: '#/components/schemas/iam_reseller_Deleted'
    EntryBaseDomain:
      type: string
      description: >-
        Base control panel domain.

        The desired upper-level domain for the control panel.

        For example, if specified mycompany.com, then

        control panel will be available at auth.mycompany.com,
        cdn.mycompany.com, accounts.mycompany.com.
    PublicBrandingSettings:
      type: object
      required:
        - showApiDoc
        - showStatusPage
        - showKnowledgeBase
        - showTickets
      properties:
        brandName:
          type: string
          description: The brand name used instead of Gcore.
        fromEmail:
          type: string
          description: >-
            Change Gcore email for service emails (for example, trial start
            email) to yours.
          format: email
        showApiDoc:
          type: boolean
          description: The link to API will be displayed in help menu.
        websiteLink:
          type: string
          description: Change Gcore website link to yours in help menu and from the logo.
        supportEmail:
          type: string
          description: >-
            Change Gcore email for service emails (for example, trial start
            email) to yours.
        supportPhone:
          type: string
          description: Change Gcore support phone number to yours in help menu.
        agreementLink:
          type: string
          description: Change Gcore link to agreement to yours.
        showStatusPage:
          type: string
          description: The link to Status Page will be displayed in help menu.
        entryBaseDomain:
          $ref: '#/components/schemas/EntryBaseDomain'
        showKnowledgeBase:
          type: boolean
          description: The link to Knowledge Base will be displayed in help menu.
        showTickets:
          type: boolean
          description: Tickets will be displayed in help menu.
        colors:
          type: object
          properties:
            header:
              type: string
              description: Primary header color on the signin page to yours.
              example: null
            primary:
              type: string
              description: Primary header color on the signin page to yours.
              example: null
    PrivateBrandingSettings:
      type: object
      properties:
        mailServer:
          type: object
          description: SMTP server settings.
          properties:
            tls:
              type: boolean
              description: use TLS.
            host:
              type: string
            port:
              type: string
            login:
              type: string
            password:
              type: string
    iam_reseller_Deleted:
      type: boolean
      description: Deletion flag. If `true` then entity was deleted.
      readOnly: true
  responses:
    iam_reseller_404:
      description: Resource not found.
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````